Bug 491933 - Catalyst install still fails as listed in bug 455151
Catalyst install still fails as listed in bug 455151
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 13:21 EDT by kent.perrier
Modified: 2014-01-21 18:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 455151
Environment:
Last Closed: 2009-07-14 12:29:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kent.perrier 2009-03-24 13:21:16 EDT
Description of problem:
Same issue as 455151.  Whatever update that was performed did not fix the issue. Attempted to follow the instructions at http://fedoraproject.org/wiki/SIGs/Perl/Catalyst

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run sudo yum install perl-Catalyst-Runtime perl-Catalyst-Devel /usr/bin/catalyst.pl
2. wait for the failed install
3.
  
Actual results:
$ sudo yum install perl-Catalyst-Runtime perl-Catalyst-Devel /usr/bin/catalyst.pl
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package perl-Catalyst-Devel.noarch 0:1.03-2.fc9 set to be updated
--> Processing Dependency: perl(Catalyst::Manual) >= 5.7000 for package: perl-Catalyst-Devel
--> Processing Dependency: perl(Module::Install) >= 0.64 for package: perl-Catalyst-Devel
--> Processing Dependency: perl(Catalyst::Plugin::Static::Simple) >= 0.16 for package: perl-Catalyst-Devel
--> Processing Dependency: perl(YAML) >= 0.55 for package: perl-Catalyst-Devel
--> Processing Dependency: perl(Catalyst::Action::RenderView) >= 0.04 for package: perl-Catalyst-Devel
--> Processing Dependency: perl(Path::Class) >= 0.09 for package: perl-Catalyst-Devel
--> Processing Dependency: perl(Catalyst::Plugin::ConfigLoader) for package: perl-Catalyst-Devel
--> Processing Dependency: perl(Class::Accessor::Fast) for package: perl-Catalyst-Devel
--> Processing Dependency: perl(Module::Install::Base) for package: perl-Catalyst-Devel
--> Processing Dependency: perl(File::Copy::Recursive) for package: perl-Catalyst-Devel
--> Processing Dependency: perl(Template) for package: perl-Catalyst-Devel
---> Package perl-Catalyst-Devel.noarch 0:1.08-2.fc9 set to be updated
--> Processing Dependency: perl(parent) for package: perl-Catalyst-Devel
--> Processing Dependency: perl-Catalyst-Runtime-scripts for package: perl-Catalyst-Devel
---> Package perl-Catalyst-Runtime.noarch 0:5.7014-3.fc9 set to be updated
--> Processing Dependency: perl(HTTP::Request::AsCGI) >= 0.5 for package: perl-Catalyst-Runtime
--> Processing Dependency: perl(File::Modified) for package: perl-Catalyst-Runtime
--> Processing Dependency: perl(Text::SimpleTable) for package: perl-Catalyst-Runtime
--> Processing Dependency: perl(HTTP::Body) for package: perl-Catalyst-Runtime
--> Processing Dependency: perl(Tree::Simple::Visitor::FindByUID) for package: perl-Catalyst-Runtime
--> Processing Dependency: perl(Module::Build) for package: perl-Catalyst-Runtime
--> Processing Dependency: perl(Tree::Simple::Visitor::FindByPath) for package: perl-Catalyst-Runtime
--> Processing Dependency: perl(Tree::Simple) for package: perl-Catalyst-Runtime
--> Processing Dependency: perl(CGI::Simple::Cookie) for package: perl-Catalyst-Runtime
--> Processing Dependency: perl(Data::Dump) for package: perl-Catalyst-Runtime
--> Processing Dependency: perl(Class::Inspector) for package: perl-Catalyst-Runtime
--> Processing Dependency: perl(Class::Data::Inheritable) for package: perl-Catalyst-Runtime
--> Running transaction check
---> Package perl-CGI-Simple.noarch 0:1.103-3.fc9 set to be updated
---> Package perl-Catalyst-Action-RenderView.noarch 0:0.08-1.fc9 set to be updated
--> Processing Dependency: perl(Data::Visitor::Callback) for package: perl-Catalyst-Action-RenderView
---> Package perl-Catalyst-Manual.noarch 0:5.700701-3.fc9 set to be updated
---> Package perl-Catalyst-Plugin-ConfigLoader.noarch 0:0.22-1.fc9 set to be updated
--> Processing Dependency: perl(Config::Any) for package: perl-Catalyst-Plugin-ConfigLoader
--> Processing Dependency: perl(MRO::Compat) for package: perl-Catalyst-Plugin-ConfigLoader
---> Package perl-Catalyst-Plugin-Static-Simple.noarch 0:0.20-2.fc9 set to be updated
--> Processing Dependency: perl(MIME::Types) for package: perl-Catalyst-Plugin-Static-Simple
---> Package perl-Catalyst-Runtime-scripts.noarch 0:5.7014-3.fc9 set to be updated
---> Package perl-Class-Accessor.noarch 0:0.31-4.fc9 set to be updated
---> Package perl-Class-Data-Inheritable.noarch 0:0.06-4.fc9 set to be updated
---> Package perl-Class-Inspector.noarch 0:1.23-3.fc9 set to be updated
---> Package perl-Data-Dump.noarch 0:1.11-1.fc9 set to be updated
---> Package perl-File-Copy-Recursive.noarch 0:0.38-1.fc9 set to be updated
---> Package perl-File-Modified.noarch 0:0.07-5.fc9 set to be updated
---> Package perl-HTTP-Body.noarch 0:1.05-1.fc9 set to be updated
---> Package perl-HTTP-Request-AsCGI.noarch 0:0.5-3.fc9 set to be updated
---> Package perl-Module-Build.i386 1:0.2808-40.fc9 set to be updated
--> Processing Dependency: perl(ExtUtils::CBuilder) >= 0.15 for package: perl-Module-Build
--> Processing Dependency: perl(Archive::Tar) >= 1.08 for package: perl-Module-Build
---> Package perl-Module-Install.noarch 0:0.77-1.fc9 set to be updated
--> Processing Dependency: perl(PAR::Dist) >= 0.29 for package: perl-Module-Install
--> Processing Dependency: perl(YAML::Tiny) >= 1.31 for package: perl-Module-Install
--> Processing Dependency: perl(Module::ScanDeps) >= 0.83 for package: perl-Module-Install
--> Processing Dependency: perl(Module::CoreList) for package: perl-Module-Install
--> Processing Dependency: perl(YAML::Tiny) for package: perl-Module-Install
--> Processing Dependency: perl(File::Remove) for package: perl-Module-Install
---> Package perl-Path-Class.noarch 0:0.16-3.fc9 set to be updated
---> Package perl-Template-Toolkit.i386 0:2.19-4.fc9 set to be updated
--> Processing Dependency: perl(Text::Autoformat) for package: perl-Template-Toolkit
--> Processing Dependency: perl(AppConfig) for package: perl-Template-Toolkit
--> Processing Dependency: perl(Pod::POM) for package: perl-Template-Toolkit
---> Package perl-Text-SimpleTable.noarch 0:0.03-3.fc9 set to be updated
---> Package perl-Tree-Simple.noarch 0:1.18-2.fc9 set to be updated
---> Package perl-Tree-Simple-VisitorFactory.noarch 0:0.10-3.fc9 set to be updated
---> Package perl-YAML.noarch 0:0.66-3.fc9 set to be updated
---> Package perl-parent.noarch 0:0.221-2.fc9 set to be updated
--> Running transaction check
---> Package perl-AppConfig.noarch 0:1.66-3.fc9 set to be updated
---> Package perl-Archive-Tar.i386 0:1.38-40.fc9 set to be updated
--> Processing Dependency: perl(IO::Zlib) for package: perl-Archive-Tar
---> Package perl-Config-Any.noarch 0:0.16-1.fc9 set to be updated
--> Processing Dependency: perl(XML::Simple) for package: perl-Config-Any
--> Processing Dependency: perl(JSON::Syck) for package: perl-Config-Any
--> Processing Dependency: perl(Config::Tiny) for package: perl-Config-Any
--> Processing Dependency: perl(YAML::Syck) for package: perl-Config-Any
--> Processing Dependency: perl(Config::General) for package: perl-Config-Any
---> Package perl-Data-Visitor.noarch 0:0.21-1.fc9 set to be updated
--> Processing Dependency: perl(namespace::clean) for package: perl-Data-Visitor
--> Processing Dependency: perl(Squirrel) for package: perl-Data-Visitor
--> Processing Dependency: perl(Tie::ToObject) for package: perl-Data-Visitor
---> Package perl-ExtUtils-CBuilder.i386 1:0.21-40.fc9 set to be updated
---> Package perl-File-Remove.noarch 0:1.42-1.fc9 set to be updated
---> Package perl-MIME-Types.noarch 0:1.23-3.fc9 set to be updated
---> Package perl-MRO-Compat.noarch 0:0.09-1.fc9 set to be updated
--> Processing Dependency: perl(Class::C3) >= 0.19 for package: perl-MRO-Compat
---> Package perl-Module-CoreList.i386 0:2.15-40.fc9 set to be updated
---> Package perl-Module-ScanDeps.noarch 0:0.84-1.fc9 set to be updated
---> Package perl-PAR-Dist.noarch 0:0.34-1.fc9 set to be updated
---> Package perl-Pod-POM.noarch 0:0.17-9.fc9 set to be updated
---> Package perl-Text-Autoformat.noarch 0:1.14.0-3.fc9 set to be updated
--> Processing Dependency: perl(Text::Reform) for package: perl-Text-Autoformat
---> Package perl-YAML-Tiny.noarch 0:1.32-1.fc9 set to be updated
--> Running transaction check
---> Package perl-Class-C3.noarch 0:0.20-1.fc9 set to be updated
--> Processing Dependency: perl(Class::C3::XS) >= 0.07 for package: perl-Class-C3
--> Processing Dependency: perl(Algorithm::C3) >= 0.06 for package: perl-Class-C3
---> Package perl-Config-General.noarch 0:2.40-1.fc9 set to be updated
---> Package perl-Config-Tiny.noarch 0:2.12-5.fc9 set to be updated
---> Package perl-IO-Zlib.i386 1:1.07-40.fc9 set to be updated
---> Package perl-Mouse.noarch 0:0.09-2.fc9.1 set to be updated
--> Processing Dependency: perl(Test::Exception) >= 0.27 for package: perl-Mouse
--> Processing Dependency: perl(Class::Method::Modifiers) >= 1.01 for package: perl-Mouse
---> Package perl-Text-Reform.noarch 0:1.12.2-4.fc9 set to be updated
--> Processing Dependency: perl(TeX::Hyphen) for package: perl-Text-Reform
---> Package perl-Tie-ToObject.noarch 0:0.03-2.fc9 set to be updated
---> Package perl-XML-Simple.noarch 0:2.18-3.fc9 set to be updated
---> Package perl-YAML-Syck.i386 0:1.04-2.fc9 set to be updated
---> Package perl-namespace-clean.noarch 0:0.09-1.fc9 set to be updated
--> Processing Dependency: perl(B::Hooks::EndOfScope) for package: perl-namespace-clean
--> Running transaction check
---> Package perl-Algorithm-C3.noarch 0:0.07-2.fc9 set to be updated
---> Package perl-B-Hooks-EndOfScope.noarch 0:0.04-1.fc9 set to be updated
--> Processing Dependency: perl(Sub::Exporter) for package: perl-B-Hooks-EndOfScope
--> Processing Dependency: perl(Scope::Guard) for package: perl-B-Hooks-EndOfScope
---> Package perl-Class-C3-XS.i386 0:0.08-4.fc9 set to be updated
---> Package perl-Class-Method-Modifiers.noarch 0:1.01-3.fc9 set to be updated
---> Package perl-TeX-Hyphen.noarch 0:0.140-7.fc9 set to be updated
---> Package perl-Test-Exception.noarch 0:0.27-2.fc9 set to be updated
--> Processing Dependency: perl(Sub::Uplevel) for package: perl-Test-Exception
--> Running transaction check
---> Package perl-Scope-Guard.noarch 0:0.03-3.fc9 set to be updated
---> Package perl-Sub-Exporter.noarch 0:0.981-1.fc9 set to be updated
--> Processing Dependency: perl(Sub::Install) >= 0.92 for package: perl-Sub-Exporter
--> Processing Dependency: perl(Data::OptList) for package: perl-Sub-Exporter
--> Processing Dependency: perl(Params::Util) for package: perl-Sub-Exporter
---> Package perl-Sub-Uplevel.noarch 0:0.1901-2.fc9 set to be updated
--> Running transaction check
---> Package perl-Data-OptList.noarch 0:0.103-2.fc9 set to be updated
---> Package perl-Params-Util.i386 0:0.38-1.fc9 set to be updated
---> Package perl-Sub-Install.noarch 0:0.924-3.fc9 set to be updated
--> Finished Dependency Resolution
Dependencies Resolved

===============================================================================================================
 Package                                   Arch          Version                   Repository             Size
===============================================================================================================
Installing:
 perl-Catalyst-Devel                       noarch        1.03-2.fc9                fedora                 69 k
 perl-Catalyst-Devel                       noarch        1.08-2.fc9                updates-newkey         66 k
 perl-Catalyst-Runtime                     noarch        5.7014-3.fc9              updates-newkey        291 k
Installing for dependencies:
 perl-Algorithm-C3                         noarch        0.07-2.fc9                fedora                 18 k
 perl-AppConfig                            noarch        1.66-3.fc9                fedora                 94 k
 perl-Archive-Tar                          i386          1.38-40.fc9               updates-newkey         54 k
 perl-B-Hooks-EndOfScope                   noarch        0.04-1.fc9                updates-newkey        7.3 k
 perl-CGI-Simple                           noarch        1.103-3.fc9               fedora                114 k
 perl-Catalyst-Action-RenderView           noarch        0.08-1.fc9                updates-newkey         12 k
 perl-Catalyst-Manual                      noarch        5.700701-3.fc9            fedora                276 k
 perl-Catalyst-Plugin-ConfigLoader         noarch        0.22-1.fc9                updates-newkey         19 k
 perl-Catalyst-Plugin-Static-Simple        noarch        0.20-2.fc9                fedora                 29 k
 perl-Catalyst-Runtime-scripts             noarch        5.7014-3.fc9              updates-newkey        9.3 k
 perl-Class-Accessor                       noarch        0.31-4.fc9                fedora                 26 k
 perl-Class-C3                             noarch        0.20-1.fc9                updates-newkey         36 k
 perl-Class-C3-XS                          i386          0.08-4.fc9                fedora                 25 k
 perl-Class-Data-Inheritable               noarch        0.06-4.fc9                fedora                9.0 k
 perl-Class-Inspector                      noarch        1.23-3.fc9                updates-newkey         27 k
 perl-Class-Method-Modifiers               noarch        1.01-3.fc9                updates-newkey         22 k
 perl-Config-Any                           noarch        0.16-1.fc9                updates-newkey         46 k
 perl-Config-General                       noarch        2.40-1.fc9                updates-newkey         69 k
 perl-Config-Tiny                          noarch        2.12-5.fc9                fedora                 22 k
 perl-Data-Dump                            noarch        1.11-1.fc9                updates-newkey         21 k
 perl-Data-OptList                         noarch        0.103-2.fc9               fedora                 10 k
 perl-Data-Visitor                         noarch        0.21-1.fc9                updates-newkey         25 k
 perl-ExtUtils-CBuilder                    i386          1:0.21-40.fc9             updates-newkey         34 k
 perl-File-Copy-Recursive                  noarch        0.38-1.fc9                updates-newkey         21 k
 perl-File-Modified                        noarch        0.07-5.fc9                fedora                 15 k
 perl-File-Remove                          noarch        1.42-1.fc9                updates-newkey         22 k
 perl-HTTP-Body                            noarch        1.05-1.fc9                updates-newkey         26 k
perl-HTTP-Request-AsCGI                   noarch        0.5-3.fc9                 fedora                 11 k
 perl-IO-Zlib                              i386          1:1.07-40.fc9             updates-newkey         19 k
 perl-MIME-Types                           noarch        1.23-3.fc9                fedora                 31 k
 perl-MRO-Compat                           noarch        0.09-1.fc9                updates-newkey         16 k
 perl-Module-Build                         i386          1:0.2808-40.fc9           updates-newkey        211 k
 perl-Module-CoreList                      i386          2.15-40.fc9               updates-newkey         52 k
 perl-Module-Install                       noarch        0.77-1.fc9                updates-newkey        140 k
 perl-Module-ScanDeps                      noarch        0.84-1.fc9                updates-newkey         39 k
 perl-Mouse                                noarch        0.09-2.fc9.1              updates-newkey         66 k
 perl-PAR-Dist                             noarch        0.34-1.fc9                updates-newkey         27 k
 perl-Params-Util                          i386          0.38-1.fc9                updates-newkey         38 k
 perl-Path-Class                           noarch        0.16-3.fc9                fedora                 34 k
 perl-Pod-POM                              noarch        0.17-9.fc9                fedora                 57 k
 perl-Scope-Guard                          noarch        0.03-3.fc9                fedora                9.0 k
 perl-Sub-Exporter                         noarch        0.981-1.fc9               updates-newkey         64 k
 perl-Sub-Install                          noarch        0.924-3.fc9               fedora                 12 k
 perl-Sub-Uplevel                          noarch        0.1901-2.fc9              fedora                 20 k
 perl-TeX-Hyphen                           noarch        0.140-7.fc9               fedora                 34 k
 perl-Template-Toolkit                     i386          2.19-4.fc9                fedora                1.4 M
 perl-Test-Exception                       noarch        0.27-2.fc9                fedora                 19 k
 perl-Text-Autoformat                      noarch        1.14.0-3.fc9              fedora                 33 k
 perl-Text-Reform                          noarch        1.12.2-4.fc9              fedora                 37 k
 perl-Text-SimpleTable                     noarch        0.03-3.fc9                fedora                7.7 k
 perl-Tie-ToObject                         noarch        0.03-2.fc9                updates-newkey        7.4 k
 perl-Tree-Simple                          noarch        1.18-2.fc9                fedora                 41 k
 perl-Tree-Simple-VisitorFactory           noarch        0.10-3.fc9                fedora                 96 k
 perl-XML-Simple                           noarch        2.18-3.fc9                fedora                 73 k
 perl-YAML                                 noarch        0.66-3.fc9                fedora                 82 k
 perl-YAML-Syck                            i386          1.04-2.fc9                fedora                 90 k
 perl-YAML-Tiny                            noarch        1.32-1.fc9                updates-newkey         35 k
 perl-namespace-clean                      noarch        0.09-1.fc9                updates-newkey         15 k
 perl-parent                               noarch        0.221-2.fc9               updates-newkey         12 k

Transaction Summary
===============================================================================================================
Install     62 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total size: 4.3 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/lib/perl5/vendor_perl/5.10.0/Catalyst/Manual.pm conflicts between attempted installs of perl-Catalyst-Runtime-5.7014-3.fc9.noarch and perl-Catalyst-Manual-5.700701-3.fc9.noarch

Error Summary
-------------

$

Expected results:
Functional Catalyst install

Additional info:
Comment 1 Stepan Kasal 2009-03-25 11:39:39 EDT
The problem is that perl-Catalyst-Manual is selected from repository "fedora", not from "updates-newkey".
The latest version, available in updates-newkey, is perl-Catalyst-Manual-1:5.7016-1.fc9

I'm tossing this to component "yum".
(Perhaps yum is not able to notice the epoch change?)

Kent, could you please add the ouput of
rpm -q 'yum*'
Comment 2 kent.perrier 2009-03-25 13:26:00 EDT
$ rpm -q 'yum*'
package yum* is not installed
$ rpm -qa | grep yum
anaconda-yum-plugins-1.0-1.fc9.noarch
PackageKit-yum-plugin-0.3.12-1.fc9.i386
yum-3.2.21-2.fc9.noarch
yum-metadata-parser-1.1.2-9.fc9.i386
PackageKit-yum-0.3.12-1.fc9.i386
yum-utils-1.1.19-1.fc9.noarch
yumex-2.0.5-3.fc9.noarch


I hope this gives you the information you need.
Comment 3 seth vidal 2009-05-11 10:46:13 EDT
Yum has no problems with the epochs but in this case it is not clear that the pkg is even being seen.

To the original reporter: is this bug still happening?
Comment 4 kent.perrier 2009-05-11 11:14:50 EDT
Has something changed to make it start working?  I am still getting the error.
Comment 5 Bug Zapper 2009-06-09 23:38:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:29:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.